;InnoSetupVersion=3.0.5

[Setup]
AppName=Hide Folder Lite
AppVerName=Hide Folder Lite 3.0
AppId=Hide Folder Lite
AppPublisher=Pilot Group LLC
AppPublisherURL=http://www.pilotgroup.net
AppSupportURL=http://www.hide-folder.com
AppUpdatesURL=http://www.hide-folder.com
DefaultDirName={pf}\Hide Folder Lite
DefaultGroupName=Hide Folder Lite 3.0
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\hf.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Order Now!.url"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\UniShield.Cnt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\UniShield.GID"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\UNISHIELD.HLP"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\Pale.vxd"; DestDir: "{sys}"; Flags: ignoreversion 

[Registry]
Root: HKLM; Subkey: "Software\Everstrike\Protos"; ValueName: "Password"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Everstrike\Protos"; ValueName: "pData"; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Everstrike\Protos"; ValueName: "dwDataLen"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Everstrike\Hide Folder Lite"; ValueName: "Settings"; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Everstrike\Hide Folder Lite"; ValueName: "InFilters"; Flags: uninsdeletevalue 

[INI]
FileName: "{app}\hf.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.hide-folder.com"; 

[Run]
Filename: "{app}\hf.exe"; Parameters: "-SiS"; 
Filename: "{app}\hf.exe"; Description: "Launch Hide Folder Lite"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\hf.exe"; Parameters: "-UnSiS"; 

[Icons]
Name: "{group}\Hide Folder Lite"; Filename: "{app}\hf.exe"; 
Name: "{group}\Help"; Filename: "{app}\UniShield.hlp"; 
Name: "{group}\Read Me"; Filename: "{app}\readme.txt"; 
Name: "{group}\Buy Now!"; Filename: "{app}\Order Now!.url"; 
Name: "{group}\Hide Folder Lite on the Web"; Filename: "{app}\hf.url"; 
Name: "{group}\Uninstall Hide Folder Lite"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Hide Folder Lite"; Filename: "{app}\hf.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Hide Folder Lite"; Filename: "{app}\hf.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\hf.url"; 
